GCLOUD_KMS_KEYS_DESCRIBE(1)

NAME

gcloud kms keys describe - get metadata for a given key

SYNOPSIS

gcloud kms keys describe KEY [--keyring=KEYRING] [--location=LOCATION] [GLOBAL-FLAG ...]

DESCRIPTION
Returns metadata for the given key.

POSITIONAL ARGUMENTS

    KEY Name of the key to describe.

FLAGS

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command returns metadata for the key frodo within the keyring fellowship in the location us-east1:
    $ gcloud kms keys describe frodo --keyring fellowship \
        --location us-east1